# $Revision: 1.2 $, $Date: 2011/02/01 11:45:21 $
#
# TODO:
#	- Assetrion error at "guppy/heapy/Part.py", line 705, in __init__
#	  when used interactively
#
%define 	module	guppy
Summary:	Guppy - A Python Programming Environment
Name:		python-%{module}
Version:	0.1.9
Release:	1
License:	MIT
Group:		Development/Languages/Python
Source0:	http://pypi.python.org/packages/source/g/guppy/%{module}-%{version}.tar.gz
# Source0-md5:	221c50d574277e4589cc4ae03f76727a
Patch0:		%{name}-python_2_7.patch
URL:		http://guppy-pe.sourceforge.net/
BuildRequires:	python-devel
BuildRequires:	python-distribute
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
Requires:	python-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Guppy-PE is a programming environment providing object and heap memory
sizing, profiling and analysis. It includes a prototypical
specification language that can be used to formally specify aspects of
Python programs and generate tests and documentation from a common
source.

Guppy is an umbrella package combining Heapy and GSL with support
utilities such as the Glue module that keeps things together.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1

%build
CC="%{__cc}" \
CFLAGS="%{rpmcflags}" \
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install \
	--skip-build \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_comp $RPM_BUILD_ROOT%{py_sitedir}
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ANNOUNCE ChangeLog README PKG-INFO
%dir %{py_sitedir}/%{module}
%{py_sitedir}/%{module}/*.py[co]
%dir %{py_sitedir}/%{module}/doc
%{py_sitedir}/%{module}/doc/*.html
%{py_sitedir}/%{module}/doc/*.jpg
%dir %{py_sitedir}/%{module}%{_sysconfdir}
%dir %{py_sitedir}/%{module}/gsl
%dir %{py_sitedir}/%{module}/heapy
%dir %{py_sitedir}/%{module}/heapy/test
%dir %{py_sitedir}/%{module}/sets
%{py_sitedir}/%{module}/*/*.py[co]
%{py_sitedir}/%{module}/*/test/*.py[co]
%attr(755,root,root) %{py_sitedir}/%{module}/*/*.so
%if "%{py_ver}" > "2.4"
%{py_sitedir}/%{module}-*.egg-info
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-guppy.spec,v $
Revision 1.2  2011/02/01 11:45:21  jajcus
- Release: 1 (it is quite useable)
- adapterized

Revision 1.1  2011/01/31 14:05:16  jajcus
- new package

